Package org.eclipse.jgit.transport

## Interface RefFilter

    public interface RefFilter

Filters the list of refs that are advertised to the client.

The filter is called by `ReceivePack` and `UploadPack` to ensure that the refs are filtered before they are advertised to the client.

This can be used by applications to control visibility of certain refs based on a custom set of rules.

### Field Summary

Fields
`static RefFilter` `DEFAULT` The default filter, allows all refs to be shown.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Ref>` `filter​(Map<String,​Ref> refs)` Filters a `Map` of refs before it is advertised to the client.

### Field Detail

#### DEFAULT

    static final RefFilter DEFAULT

The default filter, allows all refs to be shown.

### Method Detail

#### filter

    Map<String,​Ref> filter​(Map<String,​Ref> refs)

Filters a `Map` of refs before it is advertised to the client.

Parameters:
  `refs` - the refs which this method need to consider.
Returns:
  the filtered map of refs.